Get payment signature for a user
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/users/{userId}/signatures/payments \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/users/{userId}/signatures/payments"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/users/{userId}/signatures/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ready",
"signature": {
"data": "<string>",
"salt": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}Signatures
Get payment signature for a user
GET
/
issuing
/
users
/
{userId}
/
signatures
/
payments
Get payment signature for a user
Generating a signature authorizes a movement of funds, so this
GET requires contractsAndSignatures:write โ not read. See API key roles.Authorizations
Path Parameters
Id of the user to get a payment signature for
Query Parameters
The chain id - as a parsed base-10 number - that the smart contract is deployed on
The address of the token that the payment should be made in, as a hex string for EVM or base58 string for Solana
The amount of token that is being paid
The address making the payment, as a hex string for EVM or base58 string for Solana, which should be an admin of the smart contract
Optional ID of the specific collateral contract to use for this signature
Response
Successful operation